API Hop ドキュメント
Instagram エンドポイントリファレンス
認証付きの 93 エンドポイントで Instagram のプロフィール、投稿、Reels、ストーリーズ、コメント、フォロワー、場所、検索結果を取得します。
選んだエンドポイントに記載されたフィールドだけを送信してください。代替フィールドの各グループから少なくとも 1 つを指定します。カーソルは前の応答から取得し、自動ページングは行いません。
すべての操作は本文なしの GET クエリパラメーターを使用します。バージョン部分で Instagram インターフェースを選択します。未知のフィールドや重複は拒否されます。識別子とページカーソルは、JavaScript の安全な整数範囲を超える値も含めて文字列として保持してください。
返された件数ではなく、成功したリクエストごとに課金されます。各ページは別のリクエストです。V1 は $0.001、V2 は $0.002、V3 は $0.008 です。ただし V3 の短縮コード用ツール 3 種は $0.002 です。アカウント固有の料金が優先されます。供給元の数量割引は自動適用されません。上流呼び出しの失敗時は予約額を解放し、精算失敗時は上流に再送せずエラーを返します。
v1-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v1/media-ids
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
shortcode | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=DRhvwVLAHAG"v1-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v1/shortcodes
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3774507992167247878"v1-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v1/users/username
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=18527"v1-fetch_user_info_by_username
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_username_v2
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_username_v3
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_id
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_info_by_id_v2
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_about_info
GET https://api.apihop.ai/v1/instagram/v1/users/about
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/about" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=182988865"v1-fetch_user_posts
GET https://api.apihop.ai/v1/instagram/v1/users/posts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
count | いいえ | integer; >= 1; <= 50 |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_posts_v2
GET https://api.apihop.ai/v1/instagram/v1/users/posts-v2
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
count | いいえ | integer; >= 1; <= 50 |
end_cursor | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_reels
GET https://api.apihop.ai/v1/instagram/v1/users/reels
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
count | いいえ | integer; >= 1; <= 50 |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_reposts
GET https://api.apihop.ai/v1/instagram/v1/users/reposts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reposts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v1/users/tagged-posts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
count | いいえ | integer; >= 1; <= 50 |
end_cursor | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_related_profiles
GET https://api.apihop.ai/v1/instagram/v1/users/related
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/related" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_search
GET https://api.apihop.ai/v1/instagram/v1/search
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
query | はい | string |
select | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=taylorswift"v1-fetch_post_by_url
GET https://api.apihop.ai/v1/instagram/v1/posts/by-url
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
post_url | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"v1-fetch_post_by_url_v2
GET https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
post_url | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"v1-fetch_post_by_id
GET https://api.apihop.ai/v1/instagram/v1/posts/by-id
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
post_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_id=3742637871112032100"v1-fetch_post_comments_v2
GET https://api.apihop.ai/v1/instagram/v1/posts/comments-v2
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
sort_order | いいえ | string |
min_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/comments-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3766120364183949816"v1-fetch_comment_replies
GET https://api.apihop.ai/v1/instagram/v1/comments/replies
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
comment_id | はい | string |
min_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3766120364183949816" \
--data-urlencode "comment_id=17871667485468098"v1-fetch_music_posts
GET https://api.apihop.ai/v1/instagram/v1/music/posts
成功したリクエストごとの料金: $0.001 (1000 credits).
少なくとも 1 つ: music_id, music_url.
| フィールド | 必須 | 仕様 |
|---|---|---|
music_id | いいえ | string |
music_url | いいえ | string |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "music_id=564058920086577"v1-fetch_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v1/hashtags/posts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
hashtag | はい | string |
end_cursor | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "hashtag=cat"v1-fetch_location_info
GET https://api.apihop.ai/v1/instagram/v1/locations/info
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=703457703"v1-fetch_location_posts
GET https://api.apihop.ai/v1/instagram/v1/locations/posts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
tab | いいえ | string |
end_cursor | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=703457703"v1-fetch_cities
GET https://api.apihop.ai/v1/instagram/v1/locations/cities
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
country_code | はい | string |
page | いいえ | integer; >= 1 |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/cities" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "country_code=US"v1-fetch_locations
GET https://api.apihop.ai/v1/instagram/v1/locations
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
city_id | はい | string |
page | いいえ | integer; >= 1 |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "city_id=c2791472"v1-fetch_explore_sections
GET https://api.apihop.ai/v1/instagram/v1/explore/sections
成功したリクエストごとの料金: $0.001 (1000 credits).
クエリパラメーターは不要です。
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections" \
-H "Authorization: Bearer YOUR_API_KEY"v1-fetch_section_posts
GET https://api.apihop.ai/v1/instagram/v1/explore/sections/posts
成功したリクエストごとの料金: $0.001 (1000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
section_id | はい | string |
count | いいえ | integer; >= 1; <= 50 |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "section_id=10156104410190727"v2-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v2/media-ids
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
shortcode | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=DRhvwVLAHAG"v2-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v2/shortcodes
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3774507992167247878"v2-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v2/users/username
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=18527"v2-fetch_user_info
GET https://api.apihop.ai/v1/instagram/v2/users/profile
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_posts
GET https://api.apihop.ai/v1/instagram/v2/users/posts
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_reels
GET https://api.apihop.ai/v1/instagram/v2/users/reels
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_followers
GET https://api.apihop.ai/v1/instagram/v2/users/followers
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/followers" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_following
GET https://api.apihop.ai/v1/instagram/v2/users/following
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/following" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_stories
GET https://api.apihop.ai/v1/instagram/v2/users/stories
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_highlights
GET https://api.apihop.ai/v1/instagram/v2/users/highlights
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/highlights" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_highlight_stories
GET https://api.apihop.ai/v1/instagram/v2/highlights/stories
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
highlight_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/highlights/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "highlight_id=17895069621772257"v2-fetch_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v2/users/tagged-posts
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_similar_users
GET https://api.apihop.ai/v1/instagram/v2/users/similar
成功したリクエストごとの料金: $0.002 (2000 credits).
少なくとも 1 つ: username, user_id.
| フィールド | 必須 | 仕様 |
|---|---|---|
username | いいえ | string |
user_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/similar" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-search_users
GET https://api.apihop.ai/v1/instagram/v2/search/users
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/users" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=instagram"v2-general_search
GET https://api.apihop.ai/v1/instagram/v2/search
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_reels
GET https://api.apihop.ai/v1/instagram/v2/search/reels
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_music
GET https://api.apihop.ai/v1/instagram/v2/search/music
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/music" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=happy"v2-search_hashtags
GET https://api.apihop.ai/v1/instagram/v2/search/hashtags
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/hashtags" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_locations
GET https://api.apihop.ai/v1/instagram/v2/search/locations
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/locations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=paris"v2-search_by_coordinates
GET https://api.apihop.ai/v1/instagram/v2/locations/nearby
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
latitude | はい | number |
longitude | はい | number |
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/nearby" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "latitude=40.7" \
--data-urlencode "longitude=-74"v2-fetch_post_info
GET https://api.apihop.ai/v1/instagram/v2/posts/info
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code_or_url | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_post_likes
GET https://api.apihop.ai/v1/instagram/v2/posts/likes
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code_or_url | はい | string |
end_cursor | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/likes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_post_comments
GET https://api.apihop.ai/v1/instagram/v2/posts/comments
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code_or_url | はい | string |
sort_by | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_comment_replies
GET https://api.apihop.ai/v1/instagram/v2/comments/replies
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code_or_url | はい | string |
comment_id | はい | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG" \
--data-urlencode "comment_id=18067775592012345"v2-fetch_music_posts
GET https://api.apihop.ai/v1/instagram/v2/music/posts
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
audio_canonical_id | はい | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "audio_canonical_id=564058920086577"v2-fetch_location_posts
GET https://api.apihop.ai/v1/instagram/v2/locations/posts
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=331004901"v2-fetch_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v2/hashtags/posts
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
keyword | はい | string |
feed_type | いいえ | string |
pagination_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v3-search_users
GET https://api.apihop.ai/v1/instagram/v3/search/users
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
query | はい | string |
rank_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/search/users" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=justin"v3-search_hashtags
GET https://api.apihop.ai/v1/instagram/v3/search/hashtags
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
query | はい | string |
rank_token | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/search/hashtags" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=fashion"v3-general_search
GET https://api.apihop.ai/v1/instagram/v3/search
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
query | はい | string |
next_max_id | いいえ | string |
rank_token | いいえ | string |
enable_metadata | いいえ | boolean |
curl --get "https://api.apihop.ai/v1/instagram/v3/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=justin"v3-get_user_id_by_username
GET https://api.apihop.ai/v1/instagram/v3/users/id
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=liensue.talks"v3-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v3/users/username
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v3-get_user_profile
GET https://api.apihop.ai/v1/instagram/v3/users/profile
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_brief
GET https://api.apihop.ai/v1/instagram/v3/users/brief
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/brief" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=791258468" \
--data-urlencode "username=99brasil"v3-get_user_posts
GET https://api.apihop.ai/v1/instagram/v3/users/posts
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
before | いいえ | string |
last | いいえ | integer |
count | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=99brasil"v3-get_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v3/users/tagged-posts
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
before | いいえ | string |
last | いいえ | integer |
count | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_reels
GET https://api.apihop.ai/v1/instagram/v3/users/reels
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
before | いいえ | string |
last | いいえ | integer |
page_size | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_highlights
GET https://api.apihop.ai/v1/instagram/v3/users/highlights
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
before | いいえ | string |
last | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/highlights" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_highlight_stories
GET https://api.apihop.ai/v1/instagram/v3/highlights/stories
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
highlight_id | はい | string |
reel_ids | いいえ | string |
first | いいえ | integer |
last | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/highlights/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "highlight_id=highlight:18064916456320419"v3-get_user_about
GET https://api.apihop.ai/v1/instagram/v3/users/about
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/about" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_former_usernames
GET https://api.apihop.ai/v1/instagram/v3/users/former-usernames
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/former-usernames" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_stories
GET https://api.apihop.ai/v1/instagram/v3/users/stories
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_recommended_reels
GET https://api.apihop.ai/v1/instagram/v3/reels/recommended
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/reels/recommended" \
-H "Authorization: Bearer YOUR_API_KEY"v3-get_post_info
GET https://api.apihop.ai/v1/instagram/v3/posts/info
成功したリクエストごとの料金: $0.008 (8000 credits).
少なくとも 1 つ: media_id, url.
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | いいえ | string |
url | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3850699893338385742"v3-get_post_info_by_code
GET https://api.apihop.ai/v1/instagram/v3/posts/by-code
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/by-code" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DUajw4YkorV"v3-get_post_comments
GET https://api.apihop.ai/v1/instagram/v3/posts/comments
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code | はい | string |
min_id | いいえ | string |
sort_order | いいえ | string; popular, newest |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DUajw4YkorV"v3-get_comment_replies
GET https://api.apihop.ai/v1/instagram/v3/comments/replies
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
comment_id | はい | string |
min_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3829530490739515971" \
--data-urlencode "comment_id=18065937092249736"v3-get_post_oembed
GET https://api.apihop.ai/v1/instagram/v3/posts/oembed
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
url | はい | string |
hidecaption | いいえ | boolean |
maxwidth | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/oembed" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "url=https://www.instagram.com/reel/DUlObENDmJD"v3-translate_comment
GET https://api.apihop.ai/v1/instagram/v3/comments/translation
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
comment_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translation" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "comment_id=18191961100350646"v3-bulk_translate_comments
GET https://api.apihop.ai/v1/instagram/v3/comments/translations
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
comment_ids | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "comment_ids=18099342953509681"v3-get_explore
GET https://api.apihop.ai/v1/instagram/v3/explore
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/explore" \
-H "Authorization: Bearer YOUR_API_KEY"v3-get_user_following
GET https://api.apihop.ai/v1/instagram/v3/users/following
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
count | いいえ | integer; >= 1; <= 100 |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/following" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_followers
GET https://api.apihop.ai/v1/instagram/v3/users/followers
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
username | はい | string |
count | いいえ | integer; >= 1; <= 100 |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/followers" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_location_info
GET https://api.apihop.ai/v1/instagram/v3/locations/info
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
show_nearby | いいえ | boolean |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=1016248898"v3-get_location_posts
GET https://api.apihop.ai/v1/instagram/v3/locations/posts
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
tab | いいえ | string; ranked, recent |
first | いいえ | integer; >= 1; <= 50 |
after | いいえ | string |
page_size_override | いいえ | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=1016248898"v3-get_location_nearby
GET https://api.apihop.ai/v1/instagram/v3/locations/nearby-content
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
location_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby-content" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=213385402"v3-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v3/media-ids
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
shortcode | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=CrgVBtHrFHm"v3-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v3/shortcodes
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
media_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3850699893338385742"v3-extract_shortcode
GET https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url
成功したリクエストごとの料金: $0.002 (2000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
url | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "url=https://www.instagram.com/p/CrgVBtHrFHm/"v3-get_post_likes
GET https://api.apihop.ai/v1/instagram/v3/posts/likes
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
code | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/likes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DavSf9yS6wy"v3-get_similar_users
GET https://api.apihop.ai/v1/instagram/v3/users/similar
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
user_id | はい | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/similar" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v3-search_by_coordinates
GET https://api.apihop.ai/v1/instagram/v3/locations/nearby
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
latitude | はい | number |
longitude | はい | number |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "latitude=40.7" \
--data-urlencode "longitude=-74"v3-get_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v3/hashtags/posts
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
tag | はい | string |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "tag=cat"v3-get_music_posts
GET https://api.apihop.ai/v1/instagram/v3/music/posts
成功したリクエストごとの料金: $0.008 (8000 credits).
| フィールド | 必須 | 仕様 |
|---|---|---|
audio_cluster_id | はい | string |
max_id | いいえ | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "audio_cluster_id=18066165960103621"レスポンス
元の JSON、code/data 構造、数値精度を保持します。構造は操作ごとに異なります。成功した空の結果も課金対象になり得ます。エラーは空の結果ではありません。以下は説明用の例であり、実際の応答ではありません。
{"code":200,"data":{"user":{"id":"25025320","username":"instagram"}}}エラー
HTTP 400 は不正なパラメーター、401 は認証失敗、402 は残高不足、403 はアクセス拒否、429 はレート制限、5xx はサービスまたは供給元の障害を示します。調査のため X-Request-Id を保存してください。業務コードが失敗を示す HTTP 200 は成功ではありません。
出典
2026-10-31 に公式スキーマと最新の料金メタデータを照合しました。説明文の料金と矛盾する場合は、最新メタデータを優先します。